#include <bits/stdc++.h>
using namespace std;
 
int main() {
    long long n;
    cin >> n;
 
    long long a[n];
    long long b[n];
 
    for(int i = 0; i < n; i++){
    	cin >> a[i];
    }
    for(int i = 0; i < n; i++){
    	cin >> b[i];
    }
    long long c = 0;
    long long d = 0;
 
    for(int i = 0; i < n; i++){
 
    	 c = a[i-1] + a[i];
    	 d = min(b[i-1], b[i]);
    }
 
    cout << c*d;
}